package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 权限模块 用户对象 post_user
 *
 * @author ruoyi
 * @date 2023-02-02
 */
public class PostUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private Long id;

    /** 真实姓名 */
    @Excel(name = "真实姓名")
    private String realname;

    /** 用户名 */
    @Excel(name = "用户名")
    private String username;

    /** 手机 */
    @Excel(name = "手机")
    private String mobile;

    /** 注册时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registerAt;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String lastIp;

    /** 邮件 */
    @Excel(name = "邮件")
    private String email;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateAt;

    /** 状态 1 正常 2 注销 3 离职 */
    @Excel(name = "状态 1 正常 2 注销 3 离职")
    private Long state;

    /** 登录计数 */
    @Excel(name = "登录计数")
    private Long loginCount;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRealname(String realname)
    {
        this.realname = realname;
    }

    public String getRealname()
    {
        return realname;
    }
    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getUsername()
    {
        return username;
    }
    public void setMobile(String mobile)
    {
        this.mobile = mobile;
    }

    public String getMobile()
    {
        return mobile;
    }
    public void setRegisterAt(Date registerAt)
    {
        this.registerAt = registerAt;
    }

    public Date getRegisterAt()
    {
        return registerAt;
    }
    public void setLastIp(String lastIp)
    {
        this.lastIp = lastIp;
    }

    public String getLastIp()
    {
        return lastIp;
    }
    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getEmail()
    {
        return email;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setUpdateAt(Date updateAt)
    {
        this.updateAt = updateAt;
    }

    public Date getUpdateAt()
    {
        return updateAt;
    }
    public void setState(Long state)
    {
        this.state = state;
    }

    public Long getState()
    {
        return state;
    }
    public void setLoginCount(Long loginCount)
    {
        this.loginCount = loginCount;
    }

    public Long getLoginCount()
    {
        return loginCount;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("realname", getRealname())
                .append("username", getUsername())
                .append("mobile", getMobile())
                .append("registerAt", getRegisterAt())
                .append("lastIp", getLastIp())
                .append("email", getEmail())
                .append("password", getPassword())
                .append("updateAt", getUpdateAt())
                .append("state", getState())
                .append("loginCount", getLoginCount())
                .append("avatar", getAvatar())
                .toString();
    }
}
